Subject: RE: postgres panic error
From: "Yurgis Baykshtis" <[email-masked]>
To: "'Sarah Valentine'" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Tue, 9 Dec 2003 16:18:06 -0800

> 4.  I do not have "remove" messages in the pg log file

Actually, you do:

> LOG:  removing transaction log file 0000000D000000A7

So, it's the same problem as ours.
The transaction log file gets deleted followed by an attempt to rename the
same file:

> PANIC:  rename from /var/pgsql/data/pg_xlog/0000000D000000A7 to
/var/pgsql/data/pg_xlog/0000000D000000B0 (initialization of log file 13,

I tried to raise the question on pg-hackers forum and cygwin forum
(regarding readdir() misbehavior) but could not get any help so far :(

It seems like Postgres is not stable enough on Cygwin platform.
We have to consider moving either to a different platform (Linux?) or to a
different DB under Windows.

-----Original Message-----
From: Sarah Valentine
Sent: Tuesday, December 09, 2003 12:03 PM
Subject: Re: postgres panic error

Sorry for not getting back to you promptly, I got pulled unto something
else.

1&2. We have a application running on windows that connects to ps.  Our
app has a pool of ps connections within it connected to one db with 30
tables.  We can have 1...n connections operating at any one time,
usually we have 2-3.

3. The examples I have do not have timestamps so it is hard to tell what
3exactly precedes the PANIC.  One example I have the following
LOG:  recycled transaction log file 0000000D000000A5
LOG:  recycled transaction log file 0000000D000000A6
LOG:  removing transaction log file 0000000D000000A7
WARNING:  Skipping "pg_database" --- only table or database owner can
VACUUM it
WARNING:  Skipping "pg_group" --- only table or database owner can VACUUM it
WARNING:  Skipping "pg_shadow" --- only table or database owner can
VACUUM it
ERROR:  No such attribute us.cuseridleft
PANIC:  rename from /var/pgsql/data/pg_xlog/0000000D000000A7 to
/var/pgsql/data/pg_xlog/0000000D000000B0 (initialization of log file 13,
segment 176) failed: No such file or directory

4.  I do not have "remove" messages in the pg log file

Yurgis Baykshtis wrote:

>I did not contact cygwin yet but I am going to.
>
>Can you tell me some information about your problem?
>
>1. Do you have multiple concurrent clients connected to pg?
>2. If yes, do they connect to a same db or separate dbs?
>3. For each panic rename error message, do you have preceding "LOG:
>removing transaction log file" message for the corresponding file.
>4. How far "remove" and panic "rename" messages are isolated in the pg log
>file?
>
>Thanks,
>
>Yurgis
>
>-----Original Message-----
>From: Sarah Valentine
>Sent: Monday, December 01, 2003 7:26 AM
>Subject: postgres panic error
>
>
>I noticed in the postgres mail archives that you are investigating the
>rename panic errors.  I'm also running postgres on top of cygwin and
>running into this problem.  Did you find any information from cygwin
>folks about how to solve or avoid this problem?
>
>Thanks,
>Sarah Valentine
>
>
>
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/